complexType "FailureToPay"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | applicable?, gracePeriodExtension?, paymentRequirement?
</...>

Content Model Elements (3):

  applicable (in failureToPay defined in CreditEvents complexType),
  gracePeriodExtension,
  paymentRequirement

All Direct / Indirect Based Elements (1):

  failureToPay (defined in CreditEvents complexType)

Known Usage Locations

- As direct type of elements (1):
  failureToPay (defined in CreditEvents complexType)

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FailureToPay"> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="gracePeriodExtension" type="GracePeriodExtension"/> <xsd:element minOccurs="0" name="paymentRequirement" type="Money"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
applicable

  Type: | xsd:boolean, predefined, simple content

  Indicates whether the failure to pay provision is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"/>

gracePeriodExtension

  Type: | GracePeriodExtension, complex content

  If this element is specified, indicates whether or not a grace period extension is applicable. ISDA 2003 Term: Grace Period Extension Applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="gracePeriodExtension" type="GracePeriodExtension"/>

paymentRequirement

  Type: | Money, complex content

  Specifies a threshold for the failure to pay credit event. Market standard is USD 1,000,000 (JPY 100,000,000 for Japanese Yen trades) or its equivalent in the relevant obligation currency. This is applied on an aggregate basis across all Obligations of the Reference Entity. Intended to prevent technical/operational errors from triggering credit events. ISDA 2003 Term: Payment Requirement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentRequirement" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.